package be.msyben.vinylManager.tools.discogs.entities;

import java.io.Serializable;

public final class Community implements Serializable {
    private static final long serialVersionUID = 1298896084859432490L;
    
    
    
    private Contributor[] contributors;
    private String data_quality;
    private int have;
    private Rating rating;
    private String status;
    private Submitter submitter;
    private int want;

    public Contributor[] getContributors() {
        return contributors;
    }

    public void setContributors(Contributor[] contributors) {
        this.contributors = contributors;
    }

    public String getData_quality() {
        return data_quality;
    }

    public void setData_quality(String data_quality) {
        this.data_quality = data_quality;
    }

    public int getHave() {
        return have;
    }

    public void setHave(int have) {
        this.have = have;
    }

    public Rating getRating() {
        return rating;
    }

    public void setRating(Rating rating) {
        this.rating = rating;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Submitter getSubmitter() {
        return submitter;
    }

    public void setSubmitter(Submitter submitter) {
        this.submitter = submitter;
    }

    public int getWant() {
        return want;
    }

    public void setWant(int want) {
        this.want = want;
    }

    @Override
    public String toString() {
        return "Community{" + "contributors=" + contributors + ", data_quality=" + data_quality + ", have=" + have + ", rating=" + rating + ", status=" + status + ", submitter=" + submitter + ", want=" + want + '}';
    }
    
    
}
